### Method

# Gimp Drawable curves_spline

#### Declaration [src]

    gboolean
    gimp_drawable_curves_spline (
      GimpDrawable* drawable,
      GimpHistogramChannel channel,
      gint num_points,
      const gdouble* points
    )

#### Description [src]

Modifies the intensity curve(s) for specified drawable.

Modifies the intensity mapping for one channel in the specified drawable. The channel can be either an intensity component, or the value. The ‘points’ parameter is an array of doubles which define a set of control points which describe a Catmull Rom spline which yields the final intensity curve. Use the `gimp_drawable_curves_explicit()` function to explicitly modify intensity levels.

Available since: | 2.10

#### Parameters

`channel` | `GimpHistogramChannel`
| The channel to modify.
`num_points` | `gint`
| The number of values in the control point array.
`points` | An array of `double`
| The spline control points: { cp1.x, cp1.y, cp2.x, cp2.y, … }.
| The length of the array is specified in the `num_points` argument.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.